//
//	myeditln.cpp
//
//	Copyright (c) 1993, by Liant Software Corp.
//	ALL RIGHTS RESERVED.
//
//	Revision History:
//	-----------------
//

#include "myeditln.h"
#include "notifier.h"


defineClass(MyEditLine, VEditLine)


MyEditLine::MyEditLine()
{
	;
}

MyEditLine::~MyEditLine()
{
	;
}

boolean MyEditLine::free()
{
	delete this;
	return(TRUE);
}

//-------------------------------------------------------------------------
MyEditLine::MyEditLine(VFrame &frame, VWindow *win, short style) :
			VEditLine(frame, win, style)
{
	exitMethod = NIL_METHOD;
}

//-------------------------------------------------------------------------
void MyEditLine::uponExit(id clnt, method exit)
{
	client = clnt;
	exitMethod = exit;
}

boolean MyEditLine::clearFocus() 
{ 
	boolean allowExit;

	if (client && (exitMethod != NIL_METHOD)) {
		allowExit = client->perform(exitMethod);
		if (!allowExit) {
			selectAll(NIL);
			notifier->setFocus(this);
		}
	}

	return FALSE;
}